ambix_utilities

utility functions More...

## Functions

AMBIX_API uint32_t | ambix_order2channels (uint32_t order)
| Calculate the number of channels for a full 3d ambisonics set of a given order.
AMBIX_API int32_t | ambix_channels2order (uint32_t channels)
| Calculate the order of a full 3d ambisonics set for a given number of channels.
AMBIX_API int | ambix_is_fullset (uint32_t channels)
| Checks whether the channel can form a full 3d ambisonics set.

## Detailed Description

utility functions

# utility functions

## Function Documentation

## ambix_channels2order()

AMBIX_API int32_t ambix_channels2order | ( | uint32_t | channels | ) |

Calculate the order of a full 3d ambisonics set for a given number of channels.

Parameters

  channels | the number of channels of the full set

Returns
  the order of the full set, or -1 if the channels don't form a full set.

## ambix_is_fullset()

AMBIX_API int ambix_is_fullset | ( | uint32_t | channels | ) |

Checks whether the channel can form a full 3d ambisonics set.

Parameters

  channels | the number of channels supposed to form a full set.

Returns
  TRUE if the channels can form full set, FALSE otherwise.

## ambix_order2channels()

AMBIX_API uint32_t ambix_order2channels | ( | uint32_t | order | ) |

Calculate the number of channels for a full 3d ambisonics set of a given order.

Parameters

  order | the order of the full set

Returns
  the number of channels of the full set